# Uses of Interface
org.opensaml.soap.wsaddressing.Action

Packages that use Action
Package
Description
org.opensaml.soap.wsaddressing
XMLObject interfaces for WS-Addressing 1.0 elements.
org.opensaml.soap.wsaddressing.impl
XML Object provider implementations for WS-Addressing.
org.opensaml.soap.wsaddressing.messaging.impl
WS-Addressing message handling components.

## Uses of Action in org.opensaml.soap.wsaddressing

Methods in org.opensaml.soap.wsaddressing that return Action
Modifier and Type
Method
Description
`Action`
ProblemAction.`getAction()`
Get the Action child element.
Methods in org.opensaml.soap.wsaddressing with parameters of type Action
Modifier and Type
Method
Description
`void`
ProblemAction.`setAction(Action newAction)`
Set the Action child element.

## Uses of Action in org.opensaml.soap.wsaddressing.impl

Classes in org.opensaml.soap.wsaddressing.impl that implement Action
Modifier and Type
Class
Description
`class`
`ActionImpl`
ActionImpl is the concrete implementation of `Action`.
Fields in org.opensaml.soap.wsaddressing.impl declared as Action
Modifier and Type
Field
Description
`private Action`
ProblemActionImpl.`action`
Action child element.
Methods in org.opensaml.soap.wsaddressing.impl that return Action
Modifier and Type
Method
Description
`Action`
ActionBuilder.`buildObject()`
Builds a WS-Addressing object.
`Action`
ActionBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Action`
ProblemActionImpl.`getAction()`
Get the Action child element.
Methods in org.opensaml.soap.wsaddressing.impl with parameters of type Action
Modifier and Type
Method
Description
`void`
ProblemActionImpl.`setAction(Action newAction)`
Set the Action child element.

## Uses of Action in org.opensaml.soap.wsaddressing.messaging.impl

Methods in org.opensaml.soap.wsaddressing.messaging.impl that return Action
Modifier and Type
Method
Description
`protected Action`
ValidateActionHandler.`getAction(MessageContext messageContext)`
Get message Action header.